# Shuffle

class numcodecs.shuffle.Shuffle(elementsize=4)

  Codec providing shuffle

  Parameters
    elementsize int

      Size in bytes of the array elements. Default = 4

  codec_id = 'shuffle'

    Codec identifier.

  encode(buf, out=None)

    Encode data in buf.

    Parameters
      buf buffer-like

        Data to be encoded. May be any object supporting the new-style buffer protocol.

    Returns
      enc buffer-like

        Encoded data. May be any object supporting the new-style buffer protocol.

  decode(buf, out=None)

    Decode data in buf.

    Parameters
      buf buffer-like

        Encoded data. May be any object supporting the new-style buffer protocol.

      out buffer-like, optional

        Writeable buffer to store decoded data. N.B. if provided, this buffer must be exactly the right size to store the decoded data.

    Returns
      dec buffer-like

        Decoded data. May be any object supporting the new-style buffer protocol.